Ubuntu

[regression]snd-hda-intel sound input does not work at all with Conexant CX20549 (Venice) chips

Reported by sibidiba on 2008-10-05
90
This bug affects 16 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Daniel T Chen
Nominated for Karmic by Zeth
Nominated for Lucid by Zeth
linux-ubuntu-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Zeth
Nominated for Lucid by Zeth

Bug Description

On Lenovo R61i the sound input does not work at all.

I am using snd-hda-intel as the driver for

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

The built in microphone does not work at all, it always produces silence. Moreover the mixer settings of the silent internal and the (buggy) external microphone are interchanged.

If I try to use any external microphone the sound is utterly jerky, unusable.
The interesting thing is, that if I turn on and unmute the external mic (with the slider of the internal mic) the echoed sound in the speakers is clear, just the recording result is broken.

Try to record with any app. Some of them produce just silence or just crash (kmix). If there is some sound (noise), it is unrecognisable (skype test call).

alsa-info.sh output:
http://www.alsa-project.org/db/?f=2fa082c485afdcefadcecbe179b0f199b7f3ce70

upstream bugreport:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4163

sibidiba (sibidiba) on 2008-10-05
Changed in linux-ubuntu-modules-2.6.24:
status: New → Confirmed
description: updated
description: updated
sibidiba (sibidiba) wrote :

Lot of people experience problems with various codecs using snd-hda-intel.

I have set up this page to summarize the problems:
https://wiki.ubuntu.com/SndHdaIntelSoundProblems

Bugs are only related if they are for the same module and codec/chipset:

cat /proc/asound/card*/codec\#*|grep -i codec

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → ubuntu-audio
Zeth (adair-boder) wrote :

I too have the Thinkpad R61 and the mic is not working at all. Very frustrating!

Zeth (adair-boder) wrote :

Will this issue be fixed in Intrepid?

sibidiba (sibidiba) wrote :

@Zeth: right now, the situation is the same for Interpid.

sibidiba (sibidiba) wrote :

I also tried SuSE and Knoppix. All the same. It's a kernel bug.

Zeth (adair-boder) wrote :

So where does that leave us? Is the issue being worked on? Sorry for asking so many questions ... I just can't believe I found myself buying a new laptop which cannot utilize an internal or external mic ...! It's like a major step back for me since I use Skype and VOIP so much...

sibidiba (sibidiba) wrote :

Just the same for me. I don't now anyone working on this.

skflyfish (jpeasley) wrote :

Also a Thinkpad R61 and the internal microphone doesn't work, despite trying every I could find.

sibidiba (sibidiba) wrote :

@sklyfish

Which codec chip do you have? Run this command as root to see:

cat /proc/asound/card*/codec\#*|grep -i codec

And possibly add your findings to https://wiki.ubuntu.com/SndHdaIntelSoundProblems .

jay@jay-laptop:~$ cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Conexant CX20549 (Venice)
jay@jay-laptop:~$

thanx!

sibidiba wrote:
> @sklyfish
>
> Which codec chip do you have? Run this command as root to see:
>
> cat /proc/asound/card*/codec\#*|grep -i codec
>
> And possibly add your findings to
> https://wiki.ubuntu.com/SndHdaIntelSoundProblems .
>
>

So what does it usually take for these issues to start getting some attention from the ppl who have the expertise to fix it?

sibidiba (sibidiba) wrote :

I am actually a programmer, but without real experience in kernel-hacking, and I also do not know how the ALSA subsystem works in general. Would probably take longer to see through this then somebody else - with experience in this area - fixing it in an afternoon. But I would help if anyone would just provide some idea where to start.
But I also really do not understand why this issue does not receive any attention. I guess the sound input just does not work in Ubuntu on at least 50% of laptops used today!

Zeth (adair-boder) wrote :

This leaves me to wonder if most of us Ubuntu users are doomed to either only using older, better supported hardware .... or new hardware which is not fully supported and therefore does not deliver expected results!?
Will Ubuntu (Linux) ever be up-to-date? .. It's probably a "bad" question to be asking here ... ;)

Zeth (adair-boder) wrote :

btw .. would a USB mic work?

skflyfish (jpeasley) wrote :

I have a Plantronics USB headset and the mic from it would not work either.

I am a programmer also, but not on a Linux/Unix platform, so the learning curve would be large for this someone over 55. Despite this drawback I am really happy with Ubuntu Linux and its stability and speed. And it's free price tag. After suffering for 25 years with M$ crap, I will never go back.

skflyfish (jpeasley) wrote :

Sound output just took a turn for the worse with 8.10. Now the internal speakers are way over modulated and scratchy even at lower volumes. Let all the way up it is deafening. If I try to record a message with Sound Recorder to test the mic, the elapsed time clock is way fast and eventually locks the program up.

Considering that I could barely hear the internal speakers under Vista it is an improvement. Just too much of a good thing. The speaker output under 8.04 was perfect. Just no input from the internal mic.

Jay

skflyfish (jpeasley) wrote :

The sound issues are related to the new Linux kernal. When I drop back to 2.6.24.21 then the sound output is fine again.

jhoechtl (johann-hoechtl) wrote :

Another voice to get it fixed:

This is a HP Pavilion dv6782eg (KN070EA)

I am an Kubuntu Intrepdi, uname -a:

Linux deneb 2.6.27-7-generic #1 SMP Thu Oct 30 04:12:22 UTC 2008 x86_64 GNU/Linux

lspci | grep Audio
00:07.0 Audio device: nVidia Corporation MCP65 High Definition Audio (rev a1)

Output of
cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Conexant CX20561 (Hermosa)

I experience the same problem: Whatever combination of input / output settings (mute/unmute, 0%, 50%, 100% gain, ...) the internal microphone is mute / not working. Tried different sound servers.

BEWARE to other lurkers / readers: Some mentioned, that certain bios have a switch to disable the int. mic. Mine hasen't, so this is not the issue.

Johann

sibidiba (sibidiba) wrote :

I added regression to the description, as I see the problem for some people to disappear when using really old modules. (Gutsy and before). Internal mic stil doesn't work, but external one does.

I honestly encourage the ubuntu auio team to at least make a comment why snd-hda-intel is not working for so many people.

sibidiba (sibidiba) wrote :

I added regression to the description, as I see the problem for some people to disappear when using really old modules. (Gutsy and before). Internal mic stil doesn't work, but external one does.

I honestly encourage the Ubuntu Audio Team to at least make a comment why snd-hda-intel is not working for so many people.

Zeth (adair-boder) wrote :

I upgraded to Intrepid and still have no mic, internal or external, working. The Sound Recorder seems to be broken as well ... when I press the record button is starts recording at super fast speeds ... like in a few seconds its already over 1 hour ... and then it just crashes.

Zeth (adair-boder) wrote :

skflyfish, I had a a problem with the sound playback as well until I lowered PCM to about halfway ... and then it was great!

skflyfish (jpeasley) wrote :

Hi Zeth,

With the PCM at about 58% it is useable but still a bit scratchy. I usually boot back to 2.6.24.21 for this and other oddities that are happening.

btw:
lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

carnage (carnagewashere) wrote :

same problems for me now with 8.10 and before with 8.04.
internal mic has never worked although if i really yell into it i can hear it just faintly in the playback from sound recorder with pulseaudio running. also have the interesting and annoying bug where i unmute the mic (the 'toggle audio recording from..." button) in the volume control under the recording tab, close volume control, open it again and it's magically muted again.

haven't tried with an external mic

carnage@phatdave:~$ cat /proc/asound/card*/codec\#*|grep -i codec
Codec: Conexant CX20549 (Venice)
carnage@phatdave:~$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

cheers

Zeth (adair-boder) wrote :

Why is the importance of this bug still "Undecided"?
What does it take for it to become important?

During the Intrepid development cycle the linux-ubuntu-modules package was merged with the linux kernel package. So it unfortunately seems this bug may have been getting overlooked. For now I'm going to retarget this bug to the actively developed linux kernel package.

For anyone still having issues, if you could please test the Intrepid Ibex 8.10 final release that came out last month that would be great. You should be able to test using a LiveCD. If you still experience issues please download the alsa-info.sh script at http://alsa-project.org/alsa-info.sh and attach the resulting file:

./alsa-info.sh --no-upload

@Zeth, the issue of the erratic elapsed recording time you are seeing is likely bug 282316 and should be resolved with the latest updates to alsa-plugins. Thanks.

Changed in linux-ubuntu-modules-2.6.24:
status: Confirmed → Incomplete
carnage (carnagewashere) wrote :
Changed in linux:
importance: Undecided → Medium
status: Incomplete → Triaged
Zeth (adair-boder) wrote :

I have reverted to Hardy after having far too many issues with Intrepid, including kernel panics.

I can definitely confirm that the mic issue was not solved in Intrepid with kernel 27-9 and under.

sibidiba (sibidiba) wrote :

I just upgraded to Intrepid. No change on the issue:

- internal mic still not working

- external mic still recognized as internal one

- input from external mic still remains unrecognizable

skflyfish (jpeasley) wrote :

http://www.vnunet.com/vnunet/news/2231970/ibm-readies-ms-free-desktop

As IBM has partnered with Canonical to help provide a MS free desktop, I hope this bug gets a bit higher priority. I work for an IBM business partner, and as much as I love Ubuntu, the internal mic and sound resume after suspend problems would make it hard to recommend Ubuntu to clients.

I personally won't be going back to MS as I love Ubuntu that much, but the sound issues in Ubuntu with regards to IBM/Lenovo machines, needs to be resolved before it can be main stream.

Rami Al-Rfou' (rmyeid) wrote :

@skflyfish

We all hope to make Ubuntu the best. This is a technical bug tracker, we are asked to report debug traces, configuration files and description to problems. I think ubuntu forum is better to discuss such news for IBM and canonical ;).

Anyway, I am asking if there is a mentor available, so I can spend my free time to dig the problem to solve in the upstream kernel.

sibidiba (sibidiba) wrote :

I'm not a kernel hacker, but I'm currently seriously hurt and disappointed by this bug.

I've huge experience in programming, and own an affected machine, I would gladly help in testing.

Zeth (adair-boder) wrote :

I would be happy to help in any way I can as well.

Does anyone know if this bug is being worked on at all?

TimoVersemann (tversemann) wrote :

same problem on my thinkpad r61 with xubuntu8.10. no internal- and no external-mic.
Codec: Analog Devices AD1984

skflyfish (jpeasley) wrote :

Does anyone know if this issue will be addressed in 9.04?

Thanks,

Jay

Rami Al-Rfou' (rmyeid) wrote :

I tested alsa 0.1.19 in my intrepid with no success. Actually now sound input is worse

Daniel T Chen (crimsun) on 2009-02-26
Changed in linux:
assignee: ubuntu-audio → crimsun
Rami Al-Rfou' (rmyeid) wrote :

I upgraded to Jaunty with using alsa 1.0.18 and kernel 28-8 I can not find any improvement. Actually the output become also worse.

I tried to discuss this issue with audio team, and I think they are aware enough of the mic regressions that ubuntu users have. you can see that in the http://irclogs.ubuntu.com/2009/02/26/%23ubuntu+1.txt @[22:27]. Let us hope it will work.

c4pp4 (c4pp4) wrote :

Could someone please test my patch? I fixed built-in mic, PCM db gain and added Mixer capturing.
http://www.alsa-project.org/db/?f=2764204e4a4a2a3b5ce726467d741ca98ac0d228

tags: added: patch
96 comments hidden view all 175 comments

@c4pp4:

I have a Fujitsu-Siemens V5545 using a Conexant CX20549 (Venice) chipset. I applied your patch but the microphone is still not functional. When using the "lenovo" model the input devices disappear from my list of devices as shown by "alsamixer -D hw:0".

When using the "laptop-hpsense", "laptop-micsense", "laptop-hpmicsense", "benq", "laptop-hp530" models, and AFTER I unmute and raise the volume level for my input devices inside "alsamixer -D hw:0", I can hear some crackling noise coming from my laptop's speakers when I plug / unplug my external microphone. Even so, the microphone does not appear to actually work - trying to record something in Audacity results in silence (actually in a slight "digital equipment"-like noise).

When using the "test" model and after raising the volume level for all devices I can find in "alsamixer -D hw:0" I can't even hear that crackling noise...

What do you suggest I should try next? I'm not work-shy and don't expect solutions to be delivered on a plate, so please do tell whatever you have in mind.

c4pp4 (c4pp4) wrote :

@andreic

see #51 and #52

Andy Whitcroft (apw) wrote :

A variation of the patch attached here seems to be applied to Natty. Could someone with this hardware please test a natty kernel and confirm whether it works there. Please report any testing here. Thanks.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
c4pp4 (c4pp4) wrote :

@Andy Whitcroft
I'll prepare a Natty ppa kernel to test.

c4pp4 (c4pp4) wrote :

Natty ppa kernel ready to test: https://launchpad.net/~c4pp4/+archive/ppa
I have patched version "2.6.38-7.36".
The patch is attached.

@Andy Whitcroft
Tested on my computer and everything is OK

c4pp4 (c4pp4) wrote :

@Andy Whitcroft
I forgot to note that without the patch it doesn't work.

Zeth (adair-boder) wrote :

What's the situation with 11.04?
I added the repo info and imported the key ... did apt-get update and apt-get upgrade, but nothing took ..

c4pp4 (c4pp4) wrote :

@Zeth

The situation is very simple. I made the natty patch and the natty ppa for testing (see #140). Nobody was interested, nobody told me why the status is still incomplete, so I deleted the natty ppa after some time.

Now I'm providing what I'm using = the repo is only for Ubuntu 10.04 LTS.

10.10, 11.04 and 11.10 doesn't work out of the box. Still the same bug.

The attachment "lenovo_mic.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

Zeth (adair-boder) wrote :

@c4pp4

I am very sorry to hear that after all your hard work your fixes are not being properly noted! It's a real shame!

Would you still be able to upload the fixes for 11.04, or is that no longer in the cards!?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-ubuntu-modules-2.6.24 (Ubuntu):
status: New → Confirmed
c4pp4 (c4pp4) wrote :

@Zeth

Sorry, as mentioned previously - now only ppa for 10.04.

Zeth (adair-boder) wrote :

"Status changed to 'Confirmed' because the bug affects multiple users."

Is this a good thing? :)

1 comments hidden view all 175 comments
Zeth (adair-boder) wrote :

Oh cool!!! Thanks so much c4pp4 ... how do I go about applying this patch to my system?

c4pp4 (c4pp4) wrote :
c4pp4 (c4pp4) on 2011-10-25
Changed in linux (Ubuntu):
status: Incomplete → New

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 278648

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: zeth 1593 F.... pulseaudio
 /dev/snd/pcmC0D0c: zeth 1593 F...m pulseaudio
 /dev/snd/pcmC0D0p: zeth 1593 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8300000 irq 47'
   Mixer name : 'Conexant CX20549 (Venice)'
   Components : 'HDA:14f15045,17aa20db,00100100'
   Controls : 12
   Simple ctrls : 7
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7KHT24WW-1.08'
   Mixer name : 'ThinkPad EC 7KHT24WW-1.08'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 11.10
HibernationDevice: RESUME=UUID=d8eefe5a-fbfc-4ab9-86cd-fd6d365cd74e
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: LENOVO 8932CTO
Package: linux-ubuntu-modules-2.6.24
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=dfba5702-82d2-4e61-9810-57a2b310a7cf ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.0.0-12.20ubuntu1~ppa1~oneiric3-generic 3.0.4
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
Tags: oneiric running-unity
Uname: Linux 3.0.0-12-generic x86_64
UpgradeStatus: Upgraded to oneiric on 2011-10-14 (11 days ago)
UserGroups: adm admin audio cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape vboxusers video
dmi.bios.date: 02/20/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7OETB2WW (2.12 )
dmi.board.name: 8932CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7OETB2WW(2.12):bd02/20/2008:svnLENOVO:pn8932CTO:pvrThinkPadR61:rvnLENOVO:rn8932CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 8932CTO
dmi.product.version: ThinkPad R61
dmi.sys.vendor: LENOVO

tags: added: apport-collected oneiric running-unity

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Zeth (adair-boder) wrote :

BTW ... c4pp4 ... thanks for the patch! It works a treat!

One thing I am wondering though .... when i boot up the mic is muted and the speaker volume is way down ... is this normal?

c4pp4 (c4pp4) wrote :

@Zeth

I think that you have attached useless data because it's after the applying the fix. I'll do it.

Muted mic and zero volume isn't normal, I think it has nothing to do with the patch but with your upgrade from previous version. Try to remove from home folder the hidden folder ".pulse". I just guess - I really don't know.

Displaying first 40 and last 40 comments. View all 175 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.